package recipe

import (
	"strings"

	"coopcloud.tech/abra/pkg/i18n"
	"github.com/spf13/cobra"
)

// translators: `abra recipe` aliases. use a comma separated list of aliases
// with no spaces in between
var recipeAliases = i18n.G("r")

// RecipeCommand defines all recipe related sub-commands.
var RecipeCommand = &cobra.Command{
	// translators: `recipe` command group
	Use:     i18n.G("recipe [cmd] [args] [flags]"),
	Aliases: strings.Split(recipeAliases, ","),
	// translators: Short description for `recipe` command group
	Short: i18n.G("Manage recipes"),
	Long: i18n.G(`A recipe is a blueprint for an app.

It is a bunch of config files which describe how to deploy and maintain an app.
Recipes are maintained by the Co-op Cloud community and you can use Abra to
read them, deploy them and create apps for you.

Anyone who uses a recipe can become a maintainer. Maintainers typically make
sure the recipe is in good working order and the config upgraded in a timely
manner.`),
}
